const express = require("express");
const hotelCentralrouter = express.Router();

// Import routes
const availabilityRouter = require("./availabilityRoute");
const paginationRouter = require("./paginationRoute");
const rulesRouter = require("./rulesRoute.js");
const reservationRouter = require("./reservationRoute");




// Mount routes
hotelCentralrouter.use("/availability", availabilityRouter);
hotelCentralrouter.use("/newPage", paginationRouter);  
hotelCentralrouter.use("/rules", rulesRouter);  
hotelCentralrouter.use("/reservations", reservationRouter);  

module.exports = hotelCentralrouter;